aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorheqnx <root@heqnx.com>2025-05-17 15:34:54 +0300
committerheqnx <root@heqnx.com>2025-05-17 15:34:54 +0300
commit29dcb7386165da7536f0f8729a160e84994ae9f9 (patch)
treef682b8c001ea3607cf834a695dc9f3d21d158a91
parent220d24c90d088913ce1667167e808dbb2879771c (diff)
downloadSharpAMSIGhosting-29dcb7386165da7536f0f8729a160e84994ae9f9.tar.gz
SharpAMSIGhosting-29dcb7386165da7536f0f8729a160e84994ae9f9.zip
added check for dockerHEADmain
-rwxr-xr-xbuild.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/build.sh b/build.sh
index 448347c..dac3ecf 100755
--- a/build.sh
+++ b/build.sh
@@ -1,6 +1,11 @@
#!/bin/bash
set -e
+if ! command -v docker; then
+ printf "%s\n" "[err] docker not found"
+ exit 1
+fi
+
repo_name=$( basename -s .git $(git remote get-url origin) )
docker run --rm -it -v $(pwd):/app -w /app mono:latest bash -c '